# DuckDns

## Config

```bash
cat /etc/sysconfig/duckdns
DOMAINS=MyHostname
TOKEN=SecreT
IP=
IPV6=
VERBOSE=true
TXT=
```
Ensure the permission of the file containing the secret `TOKEN` is protected.

## Enable 

```bash
systemctl enable --now duckdns.timer
```

For any errors look at the output of
```bash
journalctl -f -uduckdns.service
```
## Install From Source

```bash
mkdir /tmp/t
make PREFIX=/tmp/t install
```
